/*
 * Copyright (C) 2010-2011 Robert Ancell.
 * Author: Robert Ancell <robert.ancell@canonical.com>
 * 
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version. See http://www.gnu.org/copyleft/gpl.html the full text of the
 * license.
 */

#ifndef _LOGIN1_H_
#define _LOGIN1_H_

#include <glib-object.h>

G_BEGIN_DECLS

gboolean login1_is_running (void);

gchar *login1_get_session_id (void);

void login1_lock_session (const gchar *session_path);

void login1_unlock_session (const gchar *session_path);

void login1_activate_session (const gchar *session_path);

void login1_sync_seats (void);

void login1_start_monitor (guint *seat_new_id, guint *seat_removed_id);

void login1_stop_monitor (guint *seat_new_id, guint *seat_removed_id);

G_END_DECLS

#endif /* _LOGIN1_H_ */
